ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions
UserInterfaceCallback Class Reference
Storm classes

Callback class used by FitSpots to provide enough hooks for a user interface. More...

`#include <multispot5.h>`

Inheritance diagram for UserInterfaceCallback:

List of all members.

## Classes
struct | UserIssuedStop
## Public Member Functions
virtual void | per_spot (int iteration, int pass, int spot_num, int total_spots)=0
virtual void | per_modification (int iteration, int spot_num, int total_spots)=0
virtual void | per_pass (int iteration, int pass, const std::vector< TooN::Vector< 4 > > &spots)=0
virtual void | perhaps_stop ()=0
virtual | ~UserInterfaceCallback ()

## Detailed Description

Callback class used by FitSpots to provide enough hooks for a user interface.

Definition at line 82 of file multispot5.h.

## Constructor & Destructor Documentation

UserInterfaceCallback::~UserInterfaceCallback | ( |  | ) | `[virtual]`

Empty destructor.

Definition at line 68 of file multispot5.cc.

    {}

## Member Function Documentation

virtual void UserInterfaceCallback::per_spot | ( | int | iteration,
|  | int | pass,
|  | int | spot_num,
|  | int | total_spots
| ) |  | `[pure virtual]`

This function is called once per spot in each pass.

The idea is to provide a display along the lines of: Iteration #1 optimizing #2% complete

Parameters:

  iteration | Iteration number
  pass | Pass number
  spot_num | Spot currently being optimized
  total_spots | Total number of spots to be optimized

Implemented in NullUICallback, and JNIUserInterface.

virtual void UserInterfaceCallback::per_modification | ( | int | iteration,
|  | int | spot_num,
|  | int | total_spots
| ) |  | `[pure virtual]`

This function is called once per spot in the modification phase.

The idea is to provide a display along the lines of: Iteration #1 modifying #2% complete

Parameters:

  iteration | Iteration number
  spot_num | Spot currently being optimized
  total_spots | Total number of spots to be optimized

Implemented in NullUICallback, and JNIUserInterface.

virtual void UserInterfaceCallback::per_pass | ( | int | iteration,
|  | int | pass,
|  | const std::vector< TooN::Vector< 4 > > & | spots
| ) |  | `[pure virtual]`

This function is called once each time PASS data is outputted.

It will allow the GUI to build up a reconstruction.

Parameters:

  iteration | Iteration number
  pass | Pass number
  spots | Data to be reconstructed

Implemented in NullUICallback, and JNIUserInterface.

virtual void UserInterfaceCallback::perhaps_stop | ( |  | ) | `[pure virtual]`

The user wishes to issue a stop instruction to the program (perhaps done via an asynchronus call to an instance of of UserInterfaceCallback).

This function is called as often as possible and will throw UserIssuedStop when the condition is met.

Implemented in NullUICallback, and JNIUserInterface.

The documentation for this class was generated from the following files:

- multispot5.h
- multispot5.cc